| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CommandProperty Class Reference

`#include <GaudiKernel/CommandProperty.h>`

Inheritance diagram for CommandProperty:

[legend]
Collaboration diagram for CommandProperty:

[legend]
List of all members.

## Detailed Description

Command property base class (abstract).

The CommandProperty is a subclass of StringProperty that has a callback when the value is changed. Not very useful until we have a scripting language

Author:
  David Quarrie

Definition at line 16 of file CommandProperty.h.

## Public Member Functions
| CommandProperty ()
| Constructors and destructors.
| CommandProperty (const std::string &name)
| CommandProperty (const std::string &name, const std::string &value)
virtual | ~CommandProperty ()
virtual bool | set (const std::string &value)
| Set value method.
virtual void | handler (const std::string &value)=0
| User call back function.

## Constructor & Destructor Documentation

CommandProperty::CommandProperty | ( |  | ) |

Constructors and destructors.

Definition at line 5 of file CommandProperty.cpp.

    00006 : StringProperty( ) {
    00007 }

CommandProperty::CommandProperty | ( | const std::string & | name | ) |

Definition at line 9 of file CommandProperty.cpp.

    00010 : StringProperty( name ) {
    00011 }

CommandProperty::CommandProperty | ( | const std::string & | name,
|  | const std::string & | value |
| ) |  |  |

Definition at line 13 of file CommandProperty.cpp.

    00015 : StringProperty( name, value ) {
    00016 }

CommandProperty::~CommandProperty | ( |  | ) | `[virtual]`

Definition at line 18 of file CommandProperty.cpp.

    00018                                   {
    00019 }

## Member Function Documentation

bool CommandProperty::set | ( | const std::string & | value | ) | `[virtual]`

Set value method.

Definition at line 21 of file CommandProperty.cpp.

References handler(), PropertyWithVerifier< TYPE, VERIFIER >::set(), and PropertyWithValue< TYPE >::value().

    00022 {
    00023   bool result = StringProperty::set( value );
    00024   handler( value );
    00025   return result;
    00026 }

virtual void CommandProperty::handler | ( | const std::string & | value | ) | `[pure virtual]`

User call back function.

Referenced by set().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/CommandProperty.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/CommandProperty.cpp